PCI_MATCH_ID(9)

NAME
pci_match_id - See if a pci device matches a given pci_id table

SYNOPSIS

const struct pci_device_id * pci_match_id(const struct pci_device_id * ids, struct pci_dev * dev);

ARGUMENTS

ids
    array of PCI device id structures to search in

dev
    the PCI device structure to match against.

DESCRIPTION

Used by a driver to check whether a PCI device present in the system is in its list of supported devices. Returns the matching pci_device_id structure or NULL if there is no match.

Deprecated, don't use this as it will not catch any dynamic ids that a driver might want to check for.

COPYRIGHT